import xhiveframework


def execute():

	doctypes = xhiveframework.get_all("DocType", {"module": "Hub Node", "custom": 0}, pluck="name")
	for doctype in doctypes:
		xhiveframework.delete_doc("DocType", doctype, ignore_missing=True)

	xhiveframework.delete_doc("Module Def", "Hub Node", ignore_missing=True, force=True)
